Package org.eclipse.ecf.filetransfer

# Class SendFileTransferException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.runtime.CoreException
org.eclipse.ecf.core.util.ECFException
org.eclipse.ecf.filetransfer.SendFileTransferException

All Implemented Interfaces:
  `Serializable`

public class SendFileTransferException extends ECFException
Outgoing file transfer exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SendFileTransferException()`
`SendFileTransferException(int errorCode)`
`SendFileTransferException(String message)`
`SendFileTransferException(String message, int errorCode)`
`SendFileTransferException(String message, Throwable cause)`
`SendFileTransferException(String message, Throwable cause, int errorCode)`
`SendFileTransferException(Throwable cause)`
`SendFileTransferException(Throwable cause, int errorCode)`
`SendFileTransferException(org.eclipse.core.runtime.IStatus status)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorCode()`

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SendFileTransferException

public SendFileTransferException(org.eclipse.core.runtime.IStatus status)

### SendFileTransferException

public SendFileTransferException()

### SendFileTransferException

public SendFileTransferException(int errorCode)

### SendFileTransferException

public SendFileTransferException(String message)

### SendFileTransferException

public SendFileTransferException(String message, int errorCode)

### SendFileTransferException

public SendFileTransferException(Throwable cause)

### SendFileTransferException

public SendFileTransferException(Throwable cause, int errorCode)

### SendFileTransferException

public SendFileTransferException(String message, Throwable cause)

### SendFileTransferException

public SendFileTransferException(String message, Throwable cause, int errorCode)

## Method Details

### getErrorCode

public int getErrorCode()